Bug 907369 - Munin HTMLOld.pm is patched with a bad patch from munin track that breaks thread counting
Summary: Munin HTMLOld.pm is patched with a bad patch from munin track that breaks thr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: munin
Version: el6
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-04 08:35 UTC by Daniel Forsberg
Modified: 2013-03-24 18:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 01:28:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Forsberg 2013-02-04 08:35:30 UTC
Description of problem:
Munin HTMLOld.pm is patched with a bad patch from munin track that breaks thread counting in HTMLOld.pm and GRAPOld.pm

Version-Release number of selected component (if applicable):
2.0.9

How reproducible:
configure munin server whith 100+ clients

Steps to Reproduce:
1. run munin-html --debug
2. run ps auxf |wc -l
3. 
  
Actual results:
lots and lots of munin-html

Expected results:
it should be only 6 by default but there seams to be problems here anyway.
if patch is reverted it at least stops at 20 - 30 something that is beter than 150+ and out of memorys.

Additional info:

Comment 1 Fedora Update System 2013-02-05 19:50:56 UTC
munin-2.0.11-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.11-2.fc18

Comment 2 Fedora Update System 2013-02-05 19:58:08 UTC
munin-2.0.11-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.11-2.fc17

Comment 3 Fedora Update System 2013-02-05 19:58:53 UTC
munin-2.0.11-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.11-2.fc16

Comment 4 Fedora Update System 2013-02-05 20:01:01 UTC
munin-2.0.11-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.11-2.el6

Comment 5 Fedora Update System 2013-02-05 20:04:23 UTC
munin-2.0.11-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.11-2.el5

Comment 6 Fedora Update System 2013-02-06 18:58:34 UTC
Package munin-2.0.11-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing munin-2.0.11-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0289/munin-2.0.11-2.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-02-10 07:37:31 UTC
munin-2.0.11.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.11.1-1.el6

Comment 8 Fedora Update System 2013-02-10 07:38:16 UTC
munin-2.0.11.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.11.1-1.fc16

Comment 9 Fedora Update System 2013-02-10 07:40:42 UTC
munin-2.0.11.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.11.1-1.fc17

Comment 10 Fedora Update System 2013-02-10 07:43:37 UTC
munin-2.0.11.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.11.1-1.fc18

Comment 11 Fedora Update System 2013-02-19 01:28:35 UTC
munin-2.0.11.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-02-19 01:30:16 UTC
munin-2.0.11.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-02-25 18:32:22 UTC
munin-2.0.11.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-03-01 16:49:55 UTC
munin-2.0.11.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.11.1-2.el5

Comment 15 Fedora Update System 2013-03-24 18:04:07 UTC
munin-2.0.11.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.